import java.awt.Color;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JFrame;
import javax.swing.JSlider;
import javax.swing.SwingConstants;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * Okno demonstrující použití a provázání komponenty JSlider a
 * komponenty OvalPanel.
 */
public class SliderFrame extends JFrame {

	/**
	 * Vytvoří komponenty a vloží je do okna.
	 */
	public SliderFrame() {
		super("Slider Demo");

		final OvalPanel myPanel = new OvalPanel();
		myPanel.setBackground(Color.YELLOW);

		// vytvoření komponenty JSlider s horizontální orientací
		// na intervalu 0 až 200 a počáteční hodnotou 10
		final JSlider widthSlider =
				new JSlider(SwingConstants.HORIZONTAL, 0, 200, 10);
		// osová značka na každé 10. hodnotě
		widthSlider.setMajorTickSpacing(10);
		// zobrazovat osové značky
		widthSlider.setPaintTicks(true);
		widthSlider.addChangeListener(new ChangeListener() {

			public void stateChanged(ChangeEvent e) {
				myPanel.setWidth(widthSlider.getValue());
			}

		});


                // vytvoření komponenty JSlider s vertikální orientací
		// na intervalu 0 až 200 a počáteční hodnotou 10
		final JSlider heightSlider =
				new JSlider(SwingConstants.VERTICAL, 0, 200, 10);
		// osová značka na každé 10. hodnotě
		heightSlider.setMajorTickSpacing(10);
		// zobrazovat osové značky
		heightSlider.setPaintTicks(true);
                heightSlider.setInverted(true);
		heightSlider.addChangeListener(new ChangeListener() {

			public void stateChanged(ChangeEvent e) {
				myPanel.setHeight(heightSlider.getValue());
			}
		});

                /*
		add(widthSlider, BorderLayout.SOUTH);
                add(heightSlider, BorderLayout.EAST);
		add(myPanel, BorderLayout.CENTER);*/

                GridBagLayout gridbag = new GridBagLayout();
                setLayout(gridbag);
                GridBagConstraints c = new GridBagConstraints();

                //c.anchor = GridBagConstraints.CENTER;
                c.fill = GridBagConstraints.BOTH;
                c.gridwidth = GridBagConstraints.RELATIVE;
                c.weightx = 1.0;
                c.weighty = 1.0;
                gridbag.setConstraints(myPanel, c);
                add(myPanel);                

                c.weightx = 0.0;
                c.weighty = 0.0;
                c.gridwidth = GridBagConstraints.REMAINDER;
                gridbag.setConstraints(heightSlider,c);
                add(heightSlider);

                c.gridwidth = GridBagConstraints.RELATIVE;
                gridbag.setConstraints(widthSlider,c);
                add(widthSlider);
	}
}
